Subject: Re: [PATCH v5 04/13] powerpc: Factor out relocation code from module_64.c to elf_util_64.c.

From: Balbir Singh <[email-masked]>
Date: Tue, 23 Aug 2016 13:21:04 +1000

> zImage on ppc64 BE is an ELF32 file. This patch set only supports loading 
> ELF files of the same class as the kernel, so a 64 bit kernel can't load an 
> ELF32 file. It would be possible to add such support, but it would be a new 
> feature.
> 
> The distros I was able to check on ppc64 LE and BE all use vmlinux.
> kexec-tools with kexec_load also doesn't support zImage. Do you think it is 
> important to support zImage?
> 

Well if it didn't work already, I think its low priority. Michael should be
able to confirm this. Oliver's been trying to cleanup the zImage to get rid
the old zImage limitation, cc'ing him

Balbir Singh